import { fileURLToPath, URL } from 'node:url'

import { defineConfig } from 'vite'
import vue from '@vitejs/plugin-vue'
import vueJsx from '@vitejs/plugin-vue-jsx';
import vueDevTools from 'vite-plugin-vue-devtools'

// https://vite.dev/config/
export default defineConfig({
  plugins: [
    vue(),
    vueJsx(),
    vueDevTools(),
  ],
  resolve: {
    alias: {
      '@': fileURLToPath(new URL('./src', import.meta.url))
    },
  },
  server: {
    port: 5002, // 设置开发服务器的端口号
    host: 'localhost', // 设置主机地址（可选）
    open: true, // 自动打开浏览器（可选）
    proxy: {
      '/admin-service': {
        target: 'http://localhost', // 这里是你要代理的目标服务器地址
        changeOrigin: true
      }
    }
  }
})